<template>
  <dibs-input-select
    :id="id"
    v-model="currentValue"
    :default="currentValue"
    :options="$t('commons.avs_options')"
  />
</template>
<script>
export default {
  props: {
    id: {
      type: [String],
      required: true,
    },
    default: {
      type: [String, Number],
      default: null,
    },
    placeholder: {
      type: [String],
      required: false,
      default: '756.####.####.##',
    },
  },
  data() {
    return {
      currentValue: this.default,
    }
  },
  watch: {
    currentValue(selection) {
      this.$emit('input', selection)
    },
  },
}
</script>
